<div class="agenda__form-info">
  <h3><%= t(".title") %></h3>
  <p><%= t(".description") %></p>
</div>
<div style="width: 0; height: 0; visibility: hidden; padding: 0; margin: 0;">
  <%= form.translated :text_field, :title, value: "Agenda" %>
  <%= form.check_box :visible, checked: true %>
</div>
<div class="meeting-agenda-items">
  <%= fields_for "meeting_agenda[agenda_items][#{blank_agenda_item.to_param}]", blank_agenda_item do |agenda_item_form| %>
    <script type="text/template" class="decidim-template">
      <%= render "agenda_item", form: agenda_item_form, tabs_id: tabs_id_for_agenda_item(blank_agenda_item), editable: true, child_template_selector: "#agenda-item-child-template-dummy" %>
    </script>
    <%= render "agenda_item_child_template", form: agenda_item_form, editable: true, template_id: "agenda-item-child-template-dummy" %>
  <% end %>
  <div class="meeting-agenda-items-list" id="meeting-agenda-item">
    <% @form.agenda_items.each_with_index do |agenda_item, index| %>
      <%= fields_for "meeting_agenda[agenda_items][]", agenda_item do |agenda_item_form| %>
        <%= render "agenda_item", form: agenda_item_form, tabs_id: tabs_id_for_agenda_item(agenda_item), editable: true, child_template_selector: "#agenda-item-child-template-#{index}" %>
        <%= render "agenda_item_child_template", form: agenda_item_form, editable: true, template_id: "agenda-item-child-template-#{index}" %>
      <% end %>
    <% end %>
  </div>
  <button class="br-button add-agenda-item secondary"><%= t(".add_agenda_item") %></button>
</div>
<%= javascript_pack_tag "decidim_meetings_admin" %>
<script>
  document.addEventListener("DOMContentLoaded", function() {
  const agendaSubmitButton = document.getElementById("submit-agenda-button");

  agendaSubmitButton.disabled = true;
  agendaSubmitButton.textContent = "Adicione um item da agenda";

  function checkAgendaItems() {
    const agendaItems = document.querySelector(".meeting-agenda-item");
    if (agendaItems) {
      agendaSubmitButton.disabled = false;
      agendaSubmitButton.textContent = "Criar";
    }
  }

  const observer = new MutationObserver(function(mutations) {
    mutations.forEach(function(mutation) {
      if (mutation.addedNodes.length > 0) {
        checkAgendaItems();
      }
    });
  });

  observer.observe(document.body, { childList: true, subtree: true });

  checkAgendaItems();
  });
</script>